OpenSubdiv: GLStencilTableTBO Class Reference

| OpenSubdiv

Loading...
Searching...
No Matches
GLStencilTableTBO Class Reference

GL TextureBuffer stencil table. More...

`#include <glXFBEvaluator.h>`

## Public Types
using | ID = unsigned int

## Public Member Functions
| GLStencilTableTBO (Far::StencilTable const *stencilTable)
| GLStencilTableTBO (Far::LimitStencilTable const *limitStencilTable)
| ~GLStencilTableTBO ()
ID | GetSizesTexture () const
ID | GetOffsetsTexture () const
ID | GetIndicesTexture () const
ID | GetWeightsTexture () const
ID | GetDuWeightsTexture () const
ID | GetDvWeightsTexture () const
ID | GetDuuWeightsTexture () const
ID | GetDuvWeightsTexture () const
ID | GetDvvWeightsTexture () const
int | GetNumStencils () const

## Static Public Member Functions
static GLStencilTableTBO * | Create (Far::StencilTable const *stencilTable, void *deviceContext=NULL)
static GLStencilTableTBO * | Create (Far::LimitStencilTable const *limitStencilTable, void *deviceContext=NULL)

## Detailed Description

GL TextureBuffer stencil table.

This class is a GL Texture Buffer representation of Far::StencilTable.

GLSLTransformFeedback consumes this table to apply stencils

Definition at line 34 of file glXFBEvaluator.h.

## Member Typedef Documentation

## ◆ ID

using ID = unsigned int

Definition at line 36 of file glXFBEvaluator.h.

## Constructor & Destructor Documentation

## ◆ GLStencilTableTBO() [1/2]

GLStencilTableTBO | ( | Far::StencilTable const * | stencilTable | ) |
| explicit

## ◆ GLStencilTableTBO() [2/2]

GLStencilTableTBO | ( | Far::LimitStencilTable const * | limitStencilTable | ) |
| explicit

## ◆ ~GLStencilTableTBO()

~GLStencilTableTBO | ( |  | ) |

## Member Function Documentation

## ◆ Create() [1/2]

GLStencilTableTBO * Create | ( | Far::LimitStencilTable const * | limitStencilTable,
|  | void * | deviceContext = NULL )
| inlinestatic

Definition at line 44 of file glXFBEvaluator.h.

## ◆ Create() [2/2]

GLStencilTableTBO * Create | ( | Far::StencilTable const * | stencilTable,
|  | void * | deviceContext = NULL )
| inlinestatic

Definition at line 38 of file glXFBEvaluator.h.

## ◆ GetDuuWeightsTexture()

ID GetDuuWeightsTexture | ( |  | ) | const
| inline

Definition at line 62 of file glXFBEvaluator.h.

## ◆ GetDuvWeightsTexture()

ID GetDuvWeightsTexture | ( |  | ) | const
| inline

Definition at line 63 of file glXFBEvaluator.h.

## ◆ GetDuWeightsTexture()

ID GetDuWeightsTexture | ( |  | ) | const
| inline

Definition at line 60 of file glXFBEvaluator.h.

## ◆ GetDvvWeightsTexture()

ID GetDvvWeightsTexture | ( |  | ) | const
| inline

Definition at line 64 of file glXFBEvaluator.h.

## ◆ GetDvWeightsTexture()

ID GetDvWeightsTexture | ( |  | ) | const
| inline

Definition at line 61 of file glXFBEvaluator.h.

## ◆ GetIndicesTexture()

ID GetIndicesTexture | ( |  | ) | const
| inline

Definition at line 58 of file glXFBEvaluator.h.

## ◆ GetNumStencils()

int GetNumStencils | ( |  | ) | const
| inline

Definition at line 65 of file glXFBEvaluator.h.

## ◆ GetOffsetsTexture()

ID GetOffsetsTexture | ( |  | ) | const
| inline

Definition at line 57 of file glXFBEvaluator.h.

## ◆ GetSizesTexture()

ID GetSizesTexture | ( |  | ) | const
| inline

Definition at line 56 of file glXFBEvaluator.h.

## ◆ GetWeightsTexture()

ID GetWeightsTexture | ( |  | ) | const
| inline

Definition at line 59 of file glXFBEvaluator.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/glXFBEvaluator.h